.TH wxButton 3 "wx  0.98.3" "Ericsson AB" "ERLANG MODULE DEFINITION"
.SH MODULE
wxButton \- See external documentation: wxButton\&.
.SH DESCRIPTION
.LP
See external documentation: wxButton <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxbutton\&.html>\&. 
.LP
This class is derived (and can use functions) from: 
.br
wxControl 
.br
wxWindow 
.br
wxEvtHandler 

.SH DATA TYPES
.RS 2
.TP 4
.B
\fIwxButton()\fR:

.RS 4
.LP
An object reference, The representation is internal and can be changed without notice\&. It can\&'t be used for comparsion stored on disc or distributed for use on other nodes\&.
.LP

.RE
.RE
.SH EXPORTS
.LP
.B
new() -> wxButton()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxbutton\&.html#wxbuttonwxbutton>\&.
.RE
.LP
.B
new(Parent::wxWindow() (see module wxWindow), Id::integer()) -> wxButton()
.br
.RS
.LP
Equivalent to new(Parent, Id, [])\&.
.RE
.LP
.B
new(Parent::wxWindow() (see module wxWindow), Id::integer(), Options::[Option]) -> wxButton()
.br
.RS
.TP
Types
Option = {label, string()} | {pos, {X::integer(), Y::integer()}} | {size, {W::integer(), H::integer()}} | {style, integer()} | {validator, wx() (see module wx)}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxbutton\&.html#wxbuttonwxbutton>\&.
.RE
.LP
.B
create(This::wxButton(), Parent::wxWindow() (see module wxWindow), Id::integer()) -> bool()
.br
.RS
.LP
Equivalent to create(This, Parent, Id, [])\&.
.RE
.LP
.B
create(This::wxButton(), Parent::wxWindow() (see module wxWindow), Id::integer(), Options::[Option]) -> bool()
.br
.RS
.TP
Types
Option = {label, string()} | {pos, {X::integer(), Y::integer()}} | {size, {W::integer(), H::integer()}} | {style, integer()} | {validator, wx() (see module wx)}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxbutton\&.html#wxbuttoncreate>\&.
.RE
.LP
.B
getDefaultSize() -> {W::integer(), H::integer()}
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxbutton\&.html#wxbuttongetdefaultsize>\&.
.RE
.LP
.B
setDefault(This::wxButton()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxbutton\&.html#wxbuttonsetdefault>\&.
.RE
.LP
.B
setLabel(This::wxButton(), Label::string()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxbutton\&.html#wxbuttonsetlabel>\&.
.RE
.LP
.B
destroy(This::wxButton()) -> ok
.br
.RS
.LP
Destroys this object, do not use object again
.RE
